image: alpine


before_script:
- apk add --update --no-cache python3 && ln -sf python3 /usr/bin/python
- python3 -m ensurepip
- pip3 install --no-cache --upgrade pip setuptools
- pip3 install jsonschema
- pip3 install --pre jupyterlite

pages:
  stage: deploy
  script:
  - jupyter lite --help
  - ls -al
  - jupyter lite init
  - cp -fR _output public
  - ls -al public  
  #- wget -q https://rickynite.jfrog.io/artifactory/default-generic-local/public/jupyterlite.zip
  #- ls -al
  #- unzip  ./jupyterlite.zip
  #- ls -al
  #- tar -xzf jupyterlite*.tgz
  #- ls -al
  #- cp -fR package public
  - cp -fR files   public/files
  - cp -fR api     public/api
  artifacts:
    paths:
    - public
  only:
  - master

